# eric7.WebBrowser.SiteInfo.SiteInfoDialog

Module implementing a dialog to show some information about a site.

### Global Attributes

None

### Classes

SiteInfoDialog | Class implementing a dialog to show some information about a site.

### Functions

None

## SiteInfoDialog

Class implementing a dialog to show some information about a site.

### Derived from

QDialog, Ui_SiteInfoDialog

### Class Attributes

securityStyleFormat

### Class Methods

None

### Methods

SiteInfoDialog | Constructor
__copyAction | Private slot to copy the image URL or the image name to the clipboard.
__imageReplyFinished | Private slot handling the loading of an image.
__imagesTreeContextMenuRequested | Private slot to show a context menu for the images list.
__processImageTags | Private method to process the image tags.
__processMetaAttributes | Private method to process the meta attributes.
__saveImage | Private slot to save the selected image to disk.
__showLoadingText | Private method to show some text while loading an image.
__showPixmap | Private method to show a pixmap in the preview pane.
on_imagesTree_currentItemChanged | Private slot to show a preview of the selected image.
on_securityDetailsButton_clicked | Private slot to show security details.

### Static Methods

None

#### SiteInfoDialog (Constructor)

SiteInfoDialog(browser, parent=None)

Constructor

browser
  reference to the browser window (HelpBrowser)
parent
  reference to the parent widget (QWidget)

#### SiteInfoDialog.__copyAction

__copyAction(act)

Private slot to copy the image URL or the image name to the clipboard.

act (QAction)
  reference to the action that triggered

#### SiteInfoDialog.__imageReplyFinished

__imageReplyFinished()

Private slot handling the loading of an image.

#### SiteInfoDialog.__imagesTreeContextMenuRequested

__imagesTreeContextMenuRequested(pos)

Private slot to show a context menu for the images list.

pos
  position for the menu (QPoint)

#### SiteInfoDialog.__processImageTags

__processImageTags(res)

Private method to process the image tags.

res (list of dict)
  result of the JavaScript script

#### SiteInfoDialog.__processMetaAttributes

__processMetaAttributes(res)

Private method to process the meta attributes.

res (list of dict)
  result of the JavaScript script

#### SiteInfoDialog.__saveImage

__saveImage(act)

Private slot to save the selected image to disk.

act (QAction)
  reference to the action that triggered

#### SiteInfoDialog.__showLoadingText

__showLoadingText()

Private method to show some text while loading an image.

#### SiteInfoDialog.__showPixmap

__showPixmap(pixmap)

Private method to show a pixmap in the preview pane.

pixmap (QPixmap)
  pixmap to be shown

#### SiteInfoDialog.on_imagesTree_currentItemChanged

on_imagesTree_currentItemChanged(current, previous)

Private slot to show a preview of the selected image.

current
  current image entry (QTreeWidgetItem)
previous
  old current entry (QTreeWidgetItem)

#### SiteInfoDialog.on_securityDetailsButton_clicked

on_securityDetailsButton_clicked()

Private slot to show security details.

Up